GNU bug report logs - #58148
29.0.50; Wrong number of arguments in keymap-set--anon-cmacro

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; merged with #58396, #58557; dated Wed, 28 Sep 2022 18:04:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 58148 58396 58557. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 58148 58396. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58148 <at> debbugs.gnu.org:


Received: (at 58148) by debbugs.gnu.org; 1 Oct 2022 19:23:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 01 15:23:54 2022
Received: from localhost ([127.0.0.1]:45718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oei5a-0008CB-FA
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2022 15:23:54 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:59559)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1oei5Y-0008Bk-Dz
 for 58148 <at> debbugs.gnu.org; Sat, 01 Oct 2022 15:23:52 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 9AB521BF203;
 Sat,  1 Oct 2022 19:23:45 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58148: 29.0.50; Wrong number of arguments in
 keymap-set--anon-cmacro
In-Reply-To: <87pmfd6nse.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 30 Sep 2022 14:37:37 +0200")
Organization: LINKOV.NET
References: <86tu4r4bsb.fsf@HIDDEN> <8735cbxspd.fsf@HIDDEN>
 <86v8p72syz.fsf@HIDDEN> <87wn9mii56.fsf@HIDDEN>
 <861qru8ay3.fsf@HIDDEN> <87pmfd6nse.fsf@HIDDEN>
Date: Sat, 01 Oct 2022 22:17:18 +0300
Message-ID: <86mtafqrpd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58148
Cc: 58148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>   Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
>>   (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
>
> Still not seeing the problem, unfortunately --
>
> emacs -Q
> M-: (setq debug-on-error t)
>
> (keymap-set d `C-M-i'
>
> No errors, and nothing in *Messages*, with or without debug-on-error.

I tried again to bootstrap with extra clean, but still the same error.
We need someone to try this out too that could help to clarify
where is the problem 🧐




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58148; Package emacs. Full text available.

Message received at 58148 <at> debbugs.gnu.org:


Received: (at 58148) by debbugs.gnu.org; 30 Sep 2022 12:37:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 08:37:48 2022
Received: from localhost ([127.0.0.1]:40711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oeFH1-0001I0-Vy
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2022 08:37:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oeFH0-0001Hn-3j
 for 58148 <at> debbugs.gnu.org; Fri, 30 Sep 2022 08:37:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8lPgNQFZJdAW5a/Zj/gK0mYwwyXjBbYMVorLcwS5M/M=; b=dsQNipanU9d6jwPpfPAmxnWiGF
 q3OkxkEiotqdtVQAH6lw47farZqeasySQj0tijEK3CxbBTQccDEnHswlCR2GyBjdJM4or5UBiO6DM
 6ZF57VaMWhbp/0fVDy7pNd11nYnrsgWFfnxmY8M1ukr2ApavyDbWJdd4hVbe/JhCt9L8=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oeFGr-000052-Ig; Fri, 30 Sep 2022 14:37:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#58148: 29.0.50; Wrong number of arguments in
 keymap-set--anon-cmacro
In-Reply-To: <861qru8ay3.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 29 Sep 2022 18:30:01 +0300")
References: <86tu4r4bsb.fsf@HIDDEN> <8735cbxspd.fsf@HIDDEN>
 <86v8p72syz.fsf@HIDDEN> <87wn9mii56.fsf@HIDDEN>
 <861qru8ay3.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWSXDdcNCe1jF7/
 ///HAJSWAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YJHgweHHhFihYAAAGnSURBVCjPLZIxa5tBDIZ1
 RleCJ125CxntkKHkV0hwB+4mmdOHu3Xo1F8RQ7J7cPYE2iW/svpCtT3opOdFHFRUFTz/hLUokYlS
 fwbAgNpZsV7hEJAL3xUk3esGFO+6xuAhM0LpiYiUuXIskAzViHVdYCxUUxXYxWr7Mhe6JLlP0emF
 Ol7zeFil4xV+ZJAAQpBnxgB9jGWg3fAJMn9mqwkTeBRQzEjdQQlYezzrt8ePv//hNvPvj5d4lgCS
 Ttq+/cmfM2ZC27ZzRySIVHrT0J0GAauweQDAASZJt9XDbPDaYSiRu6pBmqnr8c09C4d04lzOw1EA
 Gh/bXPbDiRiyjObHvXutBcQ8+QyphHTY7O6bFRi8LP3YNs1r6ZFtmZt237woQrhGbbvsVTmCqsDT
 +/DODC9Wy/bj3f2mh3S2dNjV5idEyN9VcvJVmiBr9QeVhtoSLMZtL5rbiQRuXXqZMno9n6DVyyyO
 Nvc5QGcmW8p8qgrl5EVsQb2igrJksdui568FVCSVXM3qRcCGqmOd0yKbOceFx+TSXyA3KUwaB/X4
 B5pNpEy2/Osf9DFx6iw7CogAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDktMzBUMTI6MzA6Mjgr
 MDA6MDC6bhINAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA5LTMwVDEyOjMwOjI4KzAwOjAwyzOq
 sQAAAABJRU5ErkJggg==
X-Now-Playing: RS =?utf-8?B?UHJvZHXDp8O1ZXMncw==?= _L'Esprit de Nyege 2020_:
 "Ansiedade"
Date: Fri, 30 Sep 2022 14:37:37 +0200
Message-ID: <87pmfd6nse.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Sorry,
 I had an additional
 setting more than -Q: > > (setq debug-on-error t) > > I thought it's required
 to see errors in -Q, because without > debug-on-error, the errors are hidden
 in *Messages*. A [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58148
Cc: 58148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Sorry, I had an additional setting more than -Q:
>
>   (setq debug-on-error t)
>
> I thought it's required to see errors in -Q, because without
> debug-on-error, the errors are hidden in *Messages*. And
> indeed in this case without debug-on-error *Messages* contains:
>
>   Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
>   (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
>   Making completion list...

Still not seeing the problem, unfortunately --

emacs -Q
M-: (setq debug-on-error t)

(keymap-set d `C-M-i'

No errors, and nothing in *Messages*, with or without debug-on-error.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58148; Package emacs. Full text available.

Message received at 58148 <at> debbugs.gnu.org:


Received: (at 58148) by debbugs.gnu.org; 29 Sep 2022 15:30:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 11:30:53 2022
Received: from localhost ([127.0.0.1]:39335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1odvUy-0000L2-VR
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2022 11:30:53 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:56705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1odvUw-0000Ko-7g
 for 58148 <at> debbugs.gnu.org; Thu, 29 Sep 2022 11:30:51 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id DAB38200007;
 Thu, 29 Sep 2022 15:30:42 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58148: 29.0.50; Wrong number of arguments in
 keymap-set--anon-cmacro
In-Reply-To: <87wn9mii56.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 29 Sep 2022 12:34:13 +0200")
Organization: LINKOV.NET
References: <86tu4r4bsb.fsf@HIDDEN> <8735cbxspd.fsf@HIDDEN>
 <86v8p72syz.fsf@HIDDEN> <87wn9mii56.fsf@HIDDEN>
Date: Thu, 29 Sep 2022 18:30:01 +0300
Message-ID: <861qru8ay3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58148
Cc: 58148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Hmm, still fails after bootstrap in the latest master:
>>
>>   Debugger entered--Lisp error: (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
>>     keymap-set--anon-cmacro((keymap-set elisp--witness--lisp) elisp--witness--lisp)
>
> There was another report of something similar, but that seemed to have
> something to do with previously compiled packages, which is why I
> thought this might be a stale .elc problem.
>
> I'm wondering why I'm not seeing the issue then -- I tried a "make
> bootstrap" and then "emacs -Q" and the recipe, and didn't get any errors.

Sorry, I had an additional setting more than -Q:

  (setq debug-on-error t)

I thought it's required to see errors in -Q, because without
debug-on-error, the errors are hidden in *Messages*. And
indeed in this case without debug-on-error *Messages* contains:

  Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
  (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
  Making completion list...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58148; Package emacs. Full text available.

Message received at 58148 <at> debbugs.gnu.org:


Received: (at 58148) by debbugs.gnu.org; 29 Sep 2022 10:34:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 06:34:28 2022
Received: from localhost ([127.0.0.1]:36106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1odqs8-000883-5L
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2022 06:34:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1odqs2-00087n-Sx
 for 58148 <at> debbugs.gnu.org; Thu, 29 Sep 2022 06:34:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pVRAzZA22gUO5t3mvqudEL9mUn5v+dsPsVF32Uiq+aE=; b=TNu9v6Ul7yu6ZXS2F+LiZ7e4mS
 V4zANtBtw7G04HELDH0DhhVfTiRzQEsl38tiFiZw9kgaXocwU0yCSybINaubcQfeWuw25BB8lepuU
 iTVFLHLS53t32qdTID//q40vaIvJ7WwbTZ4tUwcKsu0cfLonAb0eNGVQyJsZRFh+oF+g=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1odqrt-000597-Nx; Thu, 29 Sep 2022 12:34:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#58148: 29.0.50; Wrong number of arguments in
 keymap-set--anon-cmacro
In-Reply-To: <86v8p72syz.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 28 Sep 2022 22:34:44 +0300")
References: <86tu4r4bsb.fsf@HIDDEN> <8735cbxspd.fsf@HIDDEN>
 <86v8p72syz.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEWZb3hlVl+/qKtM
 MzwkFhn///8fEXZMAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YJHQoaLsLGzc4AAAGuSURBVDjLrZNr
 kuMgDIQFzgHAcABZcwF7xAHioPufaVt+TZLZ/NiqVVXi4I9u9CBEiJDfIwnlv8ZnQB9A/n8ghRMU
 Xfz7NzDrWYHzsq/jAUpXAMQpOUFTtUX3eAFmzdYD7Ganwsw0/wYwsl7nopqmw+wArjBFziIDNMuT
 ogOoAy5a+gl869AbcosuaesFZhGpXWfCMyDzC3zjxa37fjxRa3AQxgHWwrUvlCmGpiNkhCkKuxPF
 MrMStU0IACwZnyhfD8k0oAczxwO4WCSNQqGarcJUNqvB/HC4ETIygxM80Uip9mAkylm4devYMnVC
 cWrtQRTlhhzqUtatJsqKwuwuLPE2EpUYvchqAMiv2SgcCzEl8SLZHBisXBINCn9LVHvZASLV2b7j
 4Af7zVDS7bUH8lFLUUr11RPYYuWhhR1s63bJJm15A836UhJdhMr+E81Eh4TqCcbp2NDu3iPM8wD3
 Q0vb1Igj22uQd4aZ4vQOfHgSpiM7v0VPgGlIGB1ull1VUfJBoKkbeLbSu58ReHg/A32VIH54by+g
 dcwT1+LrXdFswX8m/JR+WX2Ifwd/ABSkr20AjVmfAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA5
 LTI5VDEwOjI2OjQ2KzAwOjAw2i+/hgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wOS0yOVQxMDoy
 Njo0NiswMDowMKtyBzoAAAAASUVORK5CYII=
X-Now-Playing: New Order's _Power, Corruption & Lies_: "We All Stand"
Date: Thu, 29 Sep 2022 12:34:13 +0200
Message-ID: <87wn9mii56.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Hmm,
 still fails after
 bootstrap in the latest master: > > Debugger entered--Lisp error:
 (wrong-number-of-arguments
 #<subr keymap-set--anon-cmacro> 2) > keymap-set--anon-cmacro((keymap-set
 elisp--wi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58148
Cc: 58148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Hmm, still fails after bootstrap in the latest master:
>
>   Debugger entered--Lisp error: (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
>     keymap-set--anon-cmacro((keymap-set elisp--witness--lisp) elisp--witness--lisp)

There was another report of something similar, but that seemed to have
something to do with previously compiled packages, which is why I
thought this might be a stale .elc problem.

I'm wondering why I'm not seeing the issue then -- I tried a "make
bootstrap" and then "emacs -Q" and the recipe, and didn't get any errors.

> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
>  version 1.16.0, Xaw3d scroll bars) of 2022-09-28
> Repository revision: b6a163ba7cdf57eff5542b4cb6956780ebb2880f
> Repository branch: master

I've got:

In GNU Emacs 29.0.50 (build 41, x86_64-pc-linux-gnu, GTK+ Version
 3.24.33, cairo version 1.16.0) of 2022-09-28 built on joga
Repository revision: 1254d9a3ae89697b591343de2ddf55c5879bc937
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Ubuntu 22.04.1 LTS

Could possibly a toolkit version make any difference here?  That would
be really weird.

Hm...  anybody have any ideas?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58148; Package emacs. Full text available.

Message received at 58148 <at> debbugs.gnu.org:


Received: (at 58148) by debbugs.gnu.org; 28 Sep 2022 19:35:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 15:35:45 2022
Received: from localhost ([127.0.0.1]:34774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1odcqP-0005da-G9
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2022 15:35:45 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:48717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1odcqL-0005dH-QW
 for 58148 <at> debbugs.gnu.org; Wed, 28 Sep 2022 15:35:44 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 6156B40002;
 Wed, 28 Sep 2022 19:35:32 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58148: 29.0.50; Wrong number of arguments in
 keymap-set--anon-cmacro
In-Reply-To: <8735cbxspd.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 28 Sep 2022 20:24:46 +0200")
Organization: LINKOV.NET
References: <86tu4r4bsb.fsf@HIDDEN> <8735cbxspd.fsf@HIDDEN>
Date: Wed, 28 Sep 2022 22:34:44 +0300
Message-ID: <86v8p72syz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58148
Cc: 58148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> 1. Type in the *scratch*:
>>
>>    (keymap-set g
>>
>> 2. Then 'completion-at-point' with 'M-C-i'.
>>
>> Debugger entered--Lisp error: (wrong-number-of-arguments (4 . 4) 2)
>
> I'm unable to reproduce the problem.  Do you still see it after a "make
> bootstrap"?

Hmm, still fails after bootstrap in the latest master:

  Debugger entered--Lisp error: (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
    keymap-set--anon-cmacro((keymap-set elisp--witness--lisp) elisp--witness--lisp)

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw3d scroll bars) of 2022-09-28
Repository revision: b6a163ba7cdf57eff5542b4cb6956780ebb2880f
Repository branch: master




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58148; Package emacs. Full text available.

Message received at 58148 <at> debbugs.gnu.org:


Received: (at 58148) by debbugs.gnu.org; 28 Sep 2022 18:24:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 14:24:59 2022
Received: from localhost ([127.0.0.1]:34600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1odbjv-0007le-1n
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2022 14:24:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1odbjs-0007lP-QF
 for 58148 <at> debbugs.gnu.org; Wed, 28 Sep 2022 14:24:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=7e5Mgr8huVTcVjMvySKEZmlQE2uAyWJHrhlgd1t8U/4=; b=Ld9DPSTtp5bHWWh/IltXKvesvr
 qYujHfA5wLgTtTmfl2APKmA4PDv2W6pgyM1WTfaXYLtJPxhRBx/bTXIwSiCRia8a6x+jc4rvlrCLh
 xjgkhdv9CYpNHZekM4oXQOs7jpj3SRIUc7NVDwNpgxKyXWiLomRnHjZJHat5xrfe4kF8=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1odbjj-0006Gu-PD; Wed, 28 Sep 2022 20:24:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#58148: 29.0.50; Wrong number of arguments in
 keymap-set--anon-cmacro
In-Reply-To: <86tu4r4bsb.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 28 Sep 2022 21:03:00 +0300")
References: <86tu4r4bsb.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEXr5NX9/fGypZ+S
 g31wS0SNWVBTMCwwHx////+KWAfPAAAAAWJLR0QIht6VegAAAAd0SU1FB+YJHBIYCIh0vxwAAAGN
 SURBVDjLddPNboMwDADgsEndlVD6AGUHzmjVOFcK6bkq7LxJ1LmuPyOvPzsEsCvV6qHkI9hJHKWU
 1in+kkTjvzlSNT1lRVEopbYzJJq/t/yVoJ+AennfTc9zQlV8tOC933LAF62nAHAVhzqMDjTB/3DI
 /RK/S/JUpQyuEyhctC6HmML7vwUw1gMOYjjMJMpNAXpjjKX0iQQaH6HiK8/AjIDf2gvACU07wjeH
 Nc7o2jbAlcMGTNN1JpR145AH2PF6R1gRnLIAsawIPc1QlGNwewYllesqAhBQ+wEPpAmfAg4rHHV3
 f7cER77AAc4G8xC4rQDb4BK7FpOLcrMeGhw/fT1uCQJN6KgljhzwPHAXu5bgIhru01p77oxbuiFC
 3lusi4qSu4sn5TB9aKy77F1LZxvAS6ixLjtCIuBtoPYJUAnIoZ9gLyDDDYxwEZBStwNr6/lGHUKH
 Ug/fJJQhBcwLmWGz3B0JWr2O9yAuhN3a1APrH36dD9Qj00I41PG2XR5BxRhz6CfBZiT09jz+D81l
 2y3pw6/UAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA5LTI4VDE4OjI0OjA4KzAwOjAw/sRY4AAA
 ACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wOS0yOFQxODoyNDowOCswMDowMI+Z4FwAAAAASUVORK5C
 YII=
X-Now-Playing: Grace Jones's _Living My Life_: "Unlimited Capacity For Love"
Date: Wed, 28 Sep 2022 20:24:46 +0200
Message-ID: <8735cbxspd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > 1. Type in the
 *scratch*:
 > > (keymap-set g > > 2. Then 'completion-at-point' with 'M-C-i'. > > Debugger
 entered--Lisp error: (wrong-number-of-arguments (4 . 4) 2) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58148
Cc: 58148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> 1. Type in the *scratch*:
>
>    (keymap-set g
>
> 2. Then 'completion-at-point' with 'M-C-i'.
>
> Debugger entered--Lisp error: (wrong-number-of-arguments (4 . 4) 2)

I'm unable to reproduce the problem.  Do you still see it after a "make
bootstrap"?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58148; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Sep 2022 18:03:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 14:03:51 2022
Received: from localhost ([127.0.0.1]:34564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1odbPT-0007Bj-CX
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2022 14:03:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:39948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1odbPR-0007Ba-9P
 for submit <at> debbugs.gnu.org; Wed, 28 Sep 2022 14:03:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37738)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1odbPR-0003Ms-2F
 for bug-gnu-emacs@HIDDEN; Wed, 28 Sep 2022 14:03:49 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:33227)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1odbPO-00073F-Pg
 for bug-gnu-emacs@HIDDEN; Wed, 28 Sep 2022 14:03:48 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id B1C1CC0003
 for <bug-gnu-emacs@HIDDEN>; Wed, 28 Sep 2022 18:03:42 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Wrong number of arguments in keymap-set--anon-cmacro
Organization: LINKOV.NET
Date: Wed, 28 Sep 2022 21:03:00 +0300
Message-ID: <86tu4r4bsb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.198; envelope-from=juri@HIDDEN;
 helo=relay6-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

0. emacs -Q
1. Type in the *scratch*:

   (keymap-set g

2. Then 'completion-at-point' with 'M-C-i'.

Debugger entered--Lisp error: (wrong-number-of-arguments (4 . 4) 2)
  keymap-set--anon-cmacro((keymap-set elisp--witness--lisp) elisp--witness--lisp)
  apply(keymap-set--anon-cmacro (keymap-set elisp--witness--lisp) elisp--witness--lisp)
  macroexp--compiler-macro(keymap-set--anon-cmacro (keymap-set elisp--witness--lisp))
  #f(compiled-function (form func) #<bytecode -0x1997929cc4a97ca0>)(((keymap-set elisp--witness--lisp)) keymap-set)
  macroexp--expand-all((keymap-set elisp--witness--lisp))
  macroexpand-all((keymap-set elisp--witness--lisp))
  elisp--local-variables()
  #f(compiled-function (string) #<bytecode -0x5dd040ab2d900d4>)(#("g" 0 1 (fontified t rear-nonsticky t)))
  #f(compiled-function (string pred action) #<bytecode -0x131cb872953b2efd>)(#("g" 0 1 (fontified t rear-nonsticky t)) nil nil)
  try-completion(#("g" 0 1 (fontified t rear-nonsticky t)) #f(compiled-function (string pred action) #<bytecode -0x131cb872953b2efd>) nil)
  #f(compiled-function (table) #<bytecode 0x1635acab3bc82542>)(#f(compiled-function (string pred action) #<bytecode -0x131cb872953b2efd>))
  mapcar(#f(compiled-function (table) #<bytecode 0x1635acab3bc82542>) (#f(compiled-function (string pred action) #<bytecode -0x131cb872953b2efd>) #f(compiled-function (&rest args2) #<bytecode -0x12a9d92cb5a883a4>)))
  #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>)(#("g" 0 1 (fontified t rear-nonsticky t)) nil nil)
  try-completion(#("g" 0 1 (fontified t rear-nonsticky t)) #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil)
  completion-basic-try-completion(#("g" 0 1 (rear-nonsticky t fontified t)) #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil 1)
  #f(compiled-function (style) #<bytecode 0x178271f9e5e4c041>)(basic)
  completion--some(#f(compiled-function (style) #<bytecode 0x178271f9e5e4c041>) (basic partial-completion emacs22))
  completion--nth-completion(1 #("g" 0 1 (rear-nonsticky t fontified t)) #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil 1 (metadata))
  completion-try-completion(#("g" 0 1 (rear-nonsticky t fontified t)) #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil 1 (metadata))
  completion--do-completion(#<marker at 158 in *scratch*> 159)
  completion--in-region-1(#<marker at 158 in *scratch*> 159)
  #f(compiled-function (start end collection predicate) #<bytecode -0xceba54d1e8420a4>)(#<marker at 158 in *scratch*> 159 #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil)
  apply(#f(compiled-function (start end collection predicate) #<bytecode -0xceba54d1e8420a4>) (#<marker at 158 in *scratch*> 159 #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil))
  #f(compiled-function (funs global args) #<bytecode -0xf63b519da3ae62>)(nil nil (#<marker at 158 in *scratch*> 159 #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil))
  completion--in-region(#<marker at 158 in *scratch*> 159 #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil)
  completion-in-region(#<marker at 158 in *scratch*> 159 #f(compiled-function (string pred action) #<bytecode 0x59c9db15e8e1ece>) nil)
  completion-at-point()
  funcall-interactively(completion-at-point)
  command-execute(completion-at-point)




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58148; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Oct 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.